Downloads

Akeeba Backup for Joomla!

Akeeba Backup for Joomla!

version 4.4.1 Stable

Released on: Wednesday, 30 September 2015 14:53

Release Notes

Release highlights

Simplified interface. You will notice substantial changes in the user interface as far as the control panel (main page), Manage Backups and Configuration pages go, as well as the backup restoration script (ANGIE). These changes were implemented as the result of our user experience (UX) study in partnership with UX experts Lucid Fox. This is just the beginning of this process, with the ultimate goal of making Akeeba Backup even easier to use.

Site Transfer Wizard. Yes, the Site Transfer Wizard is back! We wrote everything from the ground up, taking your feedback about easier site transfers to heart. We believe it's so self-explanatory that we decided to not document it; instead, all the instructions appear on the wizard itself as you use it. We are looking forward to your feedback on this feature which is available on both the Core (free of charge) and Professional (for a fee) versions!

New Amazon S3 engine. After several hard to fix issues with Amazon's official SDK we decided to write our own S3 engine. We read the API documentation, made ourselves a couple of gallons of coffee and three weeks later we have a faster, smaller and more stable S3 connection engine. Moreover, there's now only one "Upload to Amazon S3" Post-Processing option. If you were using the "Upload to Amazon S3 (Legacy)" option your backup profiles will be automatically upgraded. As a result of the smaller S3 engine size your backup size MAY be smaller after the update by one to two Megabytes.

We are aware that the video tutorials do not reflect the current interface and may be slightly off with regards to your experience using the component (the tutorials look more complicated than what you actually experience). We kindly ask for your patience as we're preparing new tutorials.

Joomla! 3.3/3.4 only

Only Joomla! 3.3 and 3.4 (and 3.5 which is planned for release in a couple of months) is supported by this version. We strongly recommend using the latest Joomla! At the time of this writing it is 3.4.4. Using older versions is NOT recommended for security reasons.

PHP 5.4 or later 5.x version is required

We have raised the minimum PHP version requirement to 5.4.0 in this version. The component will not work on PHP 5.3 and will, in fact, refuse to install it. We'd like to remind you that Joomla! 3.x does not currently support PHP 7. Since our software runs inside Joomla! by definition our software doesn't currently run on PHP 7 either.

Note: there is no such thing as PHP 6. PHP versions jumped from 5.6 to 7.0. Why? Well, it's a long story. TL;DR: It doesn't have to make sense, just accept it.

Changelog

Critical bugs and important changes

  • Upload to S3 broken when using multipart uploads

Our Core versions are provided free of charge,
but they only scratch the surface of what's possible.

Subscribe today to get access to the exclusive features and enhanced support of our Professional releases!

Subscribe and get full access!

Already a subscriber? Log in.